<?php

/**
 * This file contains \QUI\LogXMPP\Monolog\XMPPHandler
 */
namespace QUI\LogXMPP\Monolog;

use QUI;
use Monolog\Handler\AbstractProcessingHandler;

//use Fabiang\Xmpp\Client;
//use Fabiang\Xmpp\Options;
//use Fabiang\Xmpp\Protocol\Message;

use QUI\LogXMPP\XMPPClient;
use QUI\System\Log;

/**
 * Class XMPPHandler for Monolog
 *
 * @package QUI\LogXMPP\Monolog
 * @licence For copyright and license information, please view the /README.md
 */
class XMPPHandler extends AbstractProcessingHandler
{
    /**
     * @param array $record
     */
    protected function write(array $record)
    {
return;
        try {
            $Config = QUI::getPackage('quiqqer/log-xmpp')->getConfig();

            $XMPP = new XMPPClient(
                $Config->get('user', 'server'),
                $Config->get('user', 'port'),
                $Config->get('user', 'user'),
                $Config->get('user', 'password'),
                'PHP'
            );

            $XMPP->connect();
            $XMPP->processUntil('session_start', 10);

            $XMPP->message(
                $Config->get('reciever', 'username'),
                (string)$record['formatted']
            );

            $XMPP->disconnect();

        } catch (\Exception $Exception) {
            Log::write($Exception->getMessage());
        }
    }
}
